package com.qihoo.security.locale;

import com.qihoo.security.locale.ILocaleManagerCallback;
import com.qihoo.security.locale.LocaleInfo;

interface ILocaleManager {
    /** 设置语言 */
	void setLocale(String locale);
	/** 返回当前正在使用的语言 */
	String getLocale();
	/** 更新新安装的语言包信息 */
	void checkNewInstalledPkg(String pkg);
	/** 处理语言包卸载 */
	void checkUninstalledPkg(String pkg);
	/** 检查新下载的免安装的语言包 */
	void checkNewDownloadedPkg(String path);
	/** v3通知处理配置文件更新 */
	void reloadConfig();
	/** 注册回掉方法 */
	void registerCallback(in ILocaleManagerCallback callback);
	/** 取消注册回掉方法 */
	void unregisterCallback(in ILocaleManagerCallback callback);
	/** 返回可用的语言信息列表 */
	List<LocaleInfo> getLocaleInfoList();
	/** 是否正在强制使用版本不对的语言包 */
	boolean isUsingIncompatibleLang();
	/** 重新初始化语言，通常在强制设置版本不匹配的语言之后用 */
	void resetLocale();
	/** 服务绑定成功后刷新语言信息列表 */
	void notifyServiceConnected();
	/** 免安装语言包的目录 */
	String getLangPath();
	/** 重新初始化语言，用于下载安装包不设置使用，但语言在自动时仍能使用该语言的问题 */
	void reInitLocale(String locale);
}