package com.qihoo.security.locale;

interface ILocaleManagerCallback {
    /** 通知locale变化，只限于LocaleManager使用 */
    void notifyInitLocale(boolean useExtend, boolean useDefault, String locale, String extendPkg, String path);
    /** 通知语言已经改变，可以使用了 */
    void onLocaleChanged();
    /** 新安装语言包，设置界面需要刷新并弹安装成功对话框 */
    void onNewLocalePkgInstalled(String locale);
    /** 卸载语言包，设置界面需要更新 */
    void onLocalePkgUninstalled();
    /** 配置文件更新了，设置界面需要更新 */
    void onConfigFileUpdated();
    /** 绑定完服务后，如果需要，刷新语言列表 */
    void onServiceConectedRefresh();
}