package com.qihoo.security.service;

import com.qihoo.security.service.IMemoryUpdateWatcher;
import com.qihoo.security.service.ITopAppChangedWatcher;

/** 内部进程间通信的一些接口 */
interface IInternalServiceControl {
    /** 常驻通知栏开关 */
    void setNofiticationEnabled(boolean enable);

    /** 刷新常驻的通知栏 */
    void refreshMainNotification();

    /** 更改语言后刷新常驻的通知栏 */
    void refreshNotificationOnLocaleChanged();

    /**************************** Check Top App ***************************/
    void registerTopAppChangedWatcher(ITopAppChangedWatcher watcher);

    void unregisterTopAppChangedWatcher(ITopAppChangedWatcher watcher);
    /**************************** Check Top App END ***********************/

    /**************************** Memory Update ***************************/
    /** 获取系统已用内存百分比，0-100 */
    int getMemoryUsedPercent();

    /** 获取系统可用内存，单位MB */
    long getMemoryFreeKb();

    void setClearedMemoryValue(int percent);

    void resetMemoryValue();

    void refreshMemory();

    void registerMemoryWatcher(IMemoryUpdateWatcher watcher);

    void unregisterMemoryWatcher(IMemoryUpdateWatcher watcher);
    /**************************** Memory Update END ***********************/
    
    
    /** 一键清理 ， 杀进程,达到最优*/
    void oneKeyClearFinish(int killPorcessSize, int killAllMemorySize);
    
    /** 杀进程,未达到最优 */
    void killFinish(int killPorcessSize, int killAllMemorySize);
    
}